Skip to main content
GET
/
chats
/
{chat_id}
/
memories
Get conversation summaries
curl --request GET \
  --url https://api.useinvent.com/chats/{chat_id}/memories \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "chat_id": "<string>",
    "summary": "<string>",
    "key_points": [
      "<string>"
    ],
    "message_count": 123,
    "summarized_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

chat_id
string
required

Chat ID

Query Parameters

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required
chat_id
string
required
summary
string
required
key_points
string[]
required
message_count
number
required
summarized_at
string<date-time> | null
required
created_at
string<date-time> | null
required